<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <title>Pacman</title>
  <link rel="stylesheet" href="css/style.css">

  <script src="js/mediapipe/camera_utils.js" crossorigin="anonymous"></script>
  <script src="js/mediapipe/hands.js" crossorigin="anonymous"></script>
  <script src="js/tensorflow/tfjs-core.js"></script>
  <script src="js/tensorflow/tfjs-backend-webgl.js"></script>
  <script src="js/tensorflow-models/hand-pose-detection.js"></script>

  <script src="js/fingerpose/fingerpose.js"></script>


  <link rel="stylesheet" href="pacman/design/style.css" />

  <script src="pacman/source/Data.js"></script>
  <script src="pacman/source/Display.js"></script>
  <script src="pacman/source/Food.js"></script>
  <script src="pacman/source/Fruit.js"></script>
  <script src="pacman/source/Blob.js"></script>
  <script src="pacman/source/HighScores.js"></script>

  <script src="pacman/source/board/Board.js"></script>
  <script src="pacman/source/board/Canvas.js"></script>
  <script src="pacman/source/board/BoardCanvas.js"></script>
  <script src="pacman/source/board/GameCanvas.js"></script>

  <script src="pacman/source/score/ScoreBlob.js"></script>
  <script src="pacman/source/score/Score.js"></script>

  <script src="pacman/source/ghosts/Ghosts.js"></script>
  <script src="pacman/source/ghosts/Ghost.js"></script>
  <script src="pacman/source/ghosts/Blinky.js"></script>
  <script src="pacman/source/ghosts/Clyde.js"></script>
  <script src="pacman/source/ghosts/Inky.js"></script>
  <script src="pacman/source/ghosts/Pinky.js"></script>

  <script src="pacman/source/animations/Animations.js"></script>
  <script src="pacman/source/animations/Animation.js"></script>
  <script src="pacman/source/animations/DeathAnimation.js"></script>
  <script src="pacman/source/animations/EndLevelAnimation.js"></script>
  <script src="pacman/source/animations/FruitScoreAnimation.js"></script>
  <script src="pacman/source/animations/GameOverAnimation.js"></script>
  <script src="pacman/source/animations/GhostScoreAnimation.js"></script>
  <script src="pacman/source/animations/NewLevelAnimation.js"></script>
  <script src="pacman/source/animations/PausedAnimation.js"></script>
  <script src="pacman/source/animations/ReadyAnimation.js"></script>

  <script src="pacman/source/demo/Demo.js"></script>
  <script src="pacman/source/demo/DemoData.js"></script>
  <script src="pacman/source/demo/BigBlob.js"></script>
  <script src="pacman/source/demo/DemoBlob.js"></script>
  <script src="pacman/source/demo/DemoFood.js"></script>
  <script src="pacman/source/demo/DemoGhost.js"></script>

  <script src="pacman/source/Init.js"></script>

  <script src="pacman/utils/Sounds.js"></script>
  <script src="pacman/utils/Storage.js"></script>
  <script src="pacman/utils/Utils.js"></script>
</head>

<body>
  <div class="pacman">
    <div id="container" class="mainScreen">
      <canvas class="board"></canvas>
      <canvas class="game"></canvas>
      <canvas class="screen"></canvas>

      <div class="main display">
        <ul>
          <li><a href="#" data-action="play"><u>S</u>tart Game</a></li>
          <li><a href="#" data-action="highScores"><u>H</u>igh Scores</a></li>
          <li><a href="#" data-action="help"><u>C</u>ontrols</a></li>
        </ul>
        <div class="audio" data-action="sound">
          <div class="waves">
            <div></div>
            <div></div>
            <div></div>
            <div></div>
          </div>
          <div class="triangle"></div>
          <div class="box"></div>
        </div>
      </div>

      <div class="input display">
        <h2>Game Over</h2>
        <p>Your name:</p>
        <input type="text" />
        <a href="#" data-action="save">Ok</a>
        <a class="restart" href="#" data-action="mainScreen"><u>N</u>ew Game</a>
      </div>

      <div class="high display">
        <h2>High Scores</h2>
        <div class="scores"></div>
        <div class="none">No scores available</div>
        <a class="restore" href="#" data-action="restore"><u>R</u>estore</a>
        <a class="back" href="#" data-action="mainScreen"><u>B</u>ack</a>
      </div>

      <div class="controls display">
        <h1>Controls</h1>
        <ol>
          <li><span>Use the arrows or WASD keys to move the blob.</span></li>
          <li><span>Space or P will pause the game.</span></li>
          <li><span>M will trigger the sound on or off.</span></li>
          <li><span>Use the links or keys (underline letters) to navigate throught the screens.</span></li>
        </ol>
        <a href="#" data-action="mainScreen"><u>B</u>ack</a>
      </div>
    </div>
  </div>

  <div class="controller">
    <video></video>
    <canvas class="controller_canvas" width="640px" height="360px;"></canvas>
    <canvas class="output_canvas" width="640px" height="360px;"></canvas>
  </div>

  <script src="js/draw_hands.js" crossorigin="anonymous"></script>
  <script src="js/controller.js" crossorigin="anonymous"></script>
  <script src="js/index.js"></script>
</body>

</html>